Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.resolution
Class EngineDisplayMode

    java.lang.Object
      de.rico.engine.resolution.EngineDisplayMode

    public class EngineDisplayMode

extends java.lang.Object

This class is a wrapper for the common Java DisplayMode object. These DisplayMode object don't hold information if the screen should be drawn in windowed or fullscreen mode. Therefore this class wraps the DisplayMode object together with a boolean that signals, if its a fullscreen or windowed mode.

Author:
  Frank Bruns

Constructor Summary
`EngineDisplayMode(java.awt.DisplayMode mode, boolean fullscreen)` Creates a new engine display mode

Method Summary
`java.awt.DisplayMode` | `getDisplayMode()` Returns the display mode object of this engine display mode
`boolean` | `isFullscreen()` Determines whether or not this engine display mode is an fullscreen display mode

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EngineDisplayMode

    public EngineDisplayMode(java.awt.DisplayMode mode,
                             boolean fullscreen)

  Creates a new engine display mode

  Parameters:
    `mode` - display mode
    `fullscreen` - is fullscreen? --> true=yes, false=no

Method Detail

### getDisplayMode

    public java.awt.DisplayMode getDisplayMode()

  Returns the display mode object of this engine display mode

  Returns:
    display mode object

### isFullscreen

    public boolean isFullscreen()

  Determines whether or not this engine display mode is an fullscreen display mode

  Returns:
    is fullscreen mode? true=yes, false=no

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD